import React from 'react';
import ReactDOM from 'react-dom';
import App from './App';
import AxiosProvider from './axios';
import { createTheme, ThemeProvider } from '@mui/material/styles'
import { QueryClient, QueryClientProvider } from 'react-query';
import { ReactQueryDevtools } from 'react-query/devtools'

const queryClient = new QueryClient();

const theme = createTheme({
});

ReactDOM.render(
  <React.StrictMode>
    <ThemeProvider theme={theme}>
      <AxiosProvider>
        <QueryClientProvider client={queryClient}>
          <App />
          <ReactQueryDevtools initialIsOpen={false} />
        </QueryClientProvider>

      </AxiosProvider>
    </ThemeProvider>
  </React.StrictMode>,
  document.getElementById('root')
);
